package a3test.basic;

import jp.sourceforge.acerola3d.a3.A3Window;
import jp.sourceforge.acerola3d.a3.Action3D;

public class ImmediatelyChangeTest {
    public static void main(String args[]) throws Exception {
        A3Window window = new A3Window(300,300);
        Action3D a3_1 = Action3D.load("x-res:///axis.a3");
        Action3D a3_2 = Action3D.load("x-res:///axis.a3");
        a3_1.setLocImmediately( 1.0,0.0,0.0);
        a3_2.setLocImmediately(-1.0,0.0,0.0);
        window.add(a3_1);
        window.add(a3_2);
        try{Thread.sleep(2000);}catch(Exception e){;}
        a3_1.change(1);
        a3_1.change(1);
        a3_1.change(1);
        a3_2.changeImmediately(1);
        a3_2.changeImmediately(1);
        a3_2.changeImmediately(2);
    }
}
